[FFe] Provide an API for access data from Friends

Bug #1156941 reported by Ken VanDine on 2013-03-19
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
friends (Ubuntu)
Medium
Unassigned
qml-friends (Ubuntu)
Medium
Unassigned
Raring
Undecided
Unassigned
unity-lens-friends (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

Provide an API to provide a StreamModel for applications that use Friends. This will greatly simplify QML applications that need to access the Dee Model, and write their own sorting and filtering functions in C++ to expose to QML. This feature makes it possible for Gwibber, ubuntu-twitter-app and ubuntu-facebook-app to access the mode from pure QML.

Related branches

summary: - Provide an API for access data from Friends
+ [FFe] Provide an API for access data from Friends
Changed in friends (Ubuntu):
importance: Undecided → Medium
Changed in qml-friends (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in friends (Ubuntu):
status: New → Confirmed
Changed in qml-friends (Ubuntu):
status: New → Confirmed
Iain Lane (laney) wrote :

Since you have ScottK's approval in the other FFe, go for it.

Changed in qml-friends (Ubuntu):
status: Confirmed → Triaged
Changed in friends (Ubuntu):
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package friends - 0.1.3daily13.03.20-0ubuntu1

---------------
friends (0.1.3daily13.03.20-0ubuntu1) raring; urgency=low

  [ Robert Bruce Park ]
  * Keep the Dispatcher alive for 30s beyond the return of the final
    method invocation.
  * Stop deduplicating messages across protocols, simplifying model
    schema (LP: #1156941)
  * Add schema columns for latitude, longitude, and location name.
  * Fix 'likes' column from gdouble to guint64.
  * Add geotagging support from foursquare, facebook, flickr.
  * Implement since= for Facebook, reducing bandwidth usage.
  * Automatically prepend the required @mention to Twitter
    replies (LP: #1156829)
  * Automatically linkify URLs that get published to the model.
  * Fix the publishing of Facebook Stories (LP: #1155785)

  [ Ken VanDine ]
  * [FFe] replace gwibber-service with Friends (LP: #1156979)
  * friends-dispatcher crashed with friends.errors.AuthorizationError in
    _login_cb():
    GDBus.Error:com.google.code.AccountsSSO.SingleSignOn.Error.UserInter
    action: userActionFinished error: 10 (account: 1) (LP: #1135038)

  [ Robert Bruce Park <email address hidden>, Ken VanDine ]
  * [FFe] replace gwibber-service with Friends (LP: #1156979)
  * friends-dispatcher crashed with friends.errors.AuthorizationError in
    _login_cb():
    GDBus.Error:com.google.code.AccountsSSO.SingleSignOn.Error.UserInter
    action: userActionFinished error: 10 (account: 1) (LP: #1135038)

  [ Robert Bruce Park ]
  * friends-dispatcher crashed with friends.errors.AuthorizationError in
    _login_cb():
    GDBus.Error:com.google.code.AccountsSSO.SingleSignOn.Error.UserInter
    action: userActionFinished error: 10 (account: 1) (LP: #1135038)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 164
 -- Ubuntu daily release <email address hidden> Wed, 20 Mar 2013 14:30:42 +0000

Changed in friends (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qml-friends - 0.1.0bzr13.03.20.1-0ubuntu1

---------------
qml-friends (0.1.0bzr13.03.20.1-0ubuntu1) raring; urgency=low

  * disable test_feature to work around a timing issue
 -- Ken VanDine <email address hidden> Wed, 20 Mar 2013 17:32:59 -0400

Changed in qml-friends (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-friends - 0.1.3daily13.06.05-0ubuntu1

---------------
unity-lens-friends (0.1.3daily13.06.05-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Ported for schema changes
  * strip links from content
  * simplified regex for links

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 57

unity-lens-friends (0.1.3daily13.05.31ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Ken VanDine ]
  * New upstream release
    - Ported to libunity 7.0
  * Ported for schema changes
  * strip links from content
  * simplified regex for links

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 56 (ubuntu-unity/next)

unity-lens-friends (0.1.2daily13.05.07ubuntu.unity.experimental.certified-0ubuntu1) raring; urgency=low

  [ Michal Hruby ]
  * Bump version

  [ Ken VanDine ]
  * [FFe] Provide an API for access data from Friends (LP: #1156941)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 60 (ubuntu-unity/experimental-
    certified)
 -- Ubuntu daily release <email address hidden> Wed, 05 Jun 2013 06:18:48 +0000

Changed in unity-lens-friends (Ubuntu):
status: New → Fix Released
Rolf Leggewie (r0lf) wrote :

raring has seen the end of its life and is no longer receiving any updates. Marking the raring task for this ticket as "Won't Fix".

Changed in unity-lens-friends (Ubuntu Raring):
status: New → Won't Fix
Changed in qml-friends (Ubuntu Raring):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers